#pragma once

#include "CoreMinimal.h"
#include "BTService_FindGoalObject.h"
#include "AITunableParameter.h"
#include "UObject/NoExportTypes.h"
#include "BTService_FindFootsteps.generated.h"

UCLASS(Blueprintable)
class DBDBOTS_API UBTService_FindFootsteps : public UBTService_FindGoalObject
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float InChaseMultiplier;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float FootstepSeenMinWeight;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float AcceptableRadius;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter ActiveTimeWeightPenalty;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FVector NavMeshProjectionBoxExtent;

public:
	UBTService_FindFootsteps();
};

FORCEINLINE uint32 GetTypeHash(const UBTService_FindFootsteps) { return 0; }
